﻿<Window x:Class="MyPopUpStore_LM.UI.Views.PriceCategoryListView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:MyPopUpStore_LM.UI.Views"
        mc:Ignorable="d"
        Title="PriceCategoryListView" Height="450" Width="800">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="auto"/>
            <RowDefinition Height="1*"/>
            <RowDefinition Height="2*"/>
            <RowDefinition Height="1*"/>
        </Grid.RowDefinitions>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="1*"/>
            <ColumnDefinition Width="1*"/>
        </Grid.ColumnDefinitions>

        <StackPanel Grid.Column="0" Grid.Row="0" Margin="0,0,0,0" Background="Gray" Grid.ColumnSpan="5">
            <Label Content="Price Category List" FontSize="25" FontWeight="Bold" Foreground="White" Padding="10,10,10,10" HorizontalAlignment="Center" />
        </StackPanel>

        <StackPanel Grid.Column="0" Grid.Row="1" Margin="0,10,0,0">
            <Button x:Name="ReturnBackButton" Content="Return" Width="55" Height="21" Click="ReturnBackButton_Click"/>
        </StackPanel>

        <StackPanel Grid.Column="1" Grid.Row="2" Margin="0,0,0,0" Grid.ColumnSpan="2" >
            <DataGrid x:Name="PriceCategoryListDataGrid" 
                      AutoGenerateColumns="False" 
                      VerticalScrollBarVisibility="Visible" 
                      Height="112" Width="228" 
                      BorderThickness="1" 
                      ItemsSource="{Binding PriceCategories}" >
                <DataGrid.Columns>
                    <DataGridTextColumn Header="Price Category ID" Binding="{Binding IdPrice }"></DataGridTextColumn>
                    <DataGridTextColumn Header="Price" Binding="{Binding Amount}"></DataGridTextColumn>
                    <DataGridTextColumn Header="Color"  Binding="{Binding Color}"></DataGridTextColumn>
                </DataGrid.Columns>
            </DataGrid>
        </StackPanel>

        <StackPanel Grid.Column="1" Grid.Row="3" Margin="0,10,80,0">
            <Button x:Name="ChooseCreatePriceCategoryButton" Content="Add" Width="55" Height="25" HorizontalAlignment="Right" Click="ChooseCreatePriceCategoryButton_Click"/>
        </StackPanel>

        <StackPanel Grid.Column="2" Grid.Row="3" Margin="40,10,0,0">
            <Button x:Name="DeletePriceCategoryButton" Content="Delete the Price Category" Width="150" Height="25" Click="DeletePriceCategoryButton_Click"/>
        </StackPanel>

        <StackPanel Grid.Column="1" Grid.Row="3" Margin="0,10,-10,0" HorizontalAlignment="Right">
            <Button x:Name="ChooseEditPriceCategoryButton" Content="Edit" Width="55" Height="25" HorizontalAlignment="Right" Click="ChooseEditPriceCategoryButton_Click"/>
        </StackPanel>
    </Grid>
</Window>
